Bug 999598 - usability: gnome classic Application menu changes if you mouse straight to application
usability: gnome classic Application menu changes if you mouse straight to ap...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 999599
  Show dependency treegraph
 
Reported: 2013-08-21 12:39 EDT by Jeff Bastian
Modified: 2015-02-17 11:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 999599 (view as bug list)
Environment:
Last Closed: 2015-02-17 11:52:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing menu changing from Favorites to Internet (134.39 KB, image/png)
2013-08-21 12:39 EDT, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2013-08-21 12:39:21 EDT
Created attachment 788931 [details]
screenshot showing menu changing from Favorites to Internet

Description of problem:
The Gnome Classic Session Application menu changes from Favorites to something else if you mouse straight to a favorite application because the path the cursor travels temporarily hovers over another menu.

For example, if you have
  Applications
     Favorites ------>  Documents
     Accessories        Empathy
     Graphics           Files
     Games              Firefox    
     Internet           Libreoffice Writer
     Office             Rhythmbox
     Sound & Video      Terminal

Say you want to open a Terminal window.  So you click on Applications in the upper-left corner of the screen and want to open a Terminal.  If you move the mouse in a straight line towards Terminal, the cursor will cross over the Accessories, Graphics, Games and Internet categories along the path and the menu will change to one of them (which one is unpredictable depending on timing and the exact path traveled) and *poof*, the Terminal icon you intended to click on is gone!

So now you have to go back and click on Favorites, then carefully move the mouse directly to the right to Documents, and then down to get to Terminal.

Please only change categories if you either
  1. click on a new category
  2. or hover for a minimum amount of time (0.25 second?  0.5 second?) over
     a new category

This will let you quickly drag the cursor directly to a Favorites item.

Version-Release number of selected component (if applicable):
gnome-shell-extension-apps-menu-3.8.3
gnome-shell-3.8.4

How reproducible:
every time

Steps to Reproduce:
1. start Gnome Classic session (or enable Applications Menu extension)
2. click on Applications in upper-left corner
3. move mouse directly to the bottom item in the Favorites list

Actual results:
the menu changes while you mouse to you favorite item

Expected results:
the menu stays the same so you can click on your favorite item

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 14:32:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:52:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.